Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.beans
Class PropertyIterator

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.model.beans.PropertyIterator

All Implemented Interfaces:
  NodeIterator

Direct Known Subclasses:
  BeanAttributeIterator, DynamicPropertyIterator

public class PropertyIterator
extends java.lang.Object
implements NodeIterator

Iterates property values of an object pointed at with a PropertyOwnerPointer. Examples of such objects are JavaBeans and objects with Dynamic Properties.

Version:
  $Revision: 1.9 $ $Date: 2003/03/11 00:59:25 $
Author:
  Dmitri Plotnikov

Constructor Summary
`PropertyIterator(PropertyOwnerPointer pointer, java.lang.String name, boolean reverse, NodePointer startWith)`

Method Summary
`NodePointer` | `getNodePointer()`
`int` | `getPosition()`
`protected NodePointer` | `getPropertyPointer()`
`protected void` | `prepareForIndividualProperty(java.lang.String name)`
`void` | `reset()`
`boolean` | `setPosition(int position)` Sets the new current position and returns true if there a node at that position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyIterator

    public PropertyIterator(PropertyOwnerPointer pointer,
                            java.lang.String name,
                            boolean reverse,
                            NodePointer startWith)

Method Detail

### getPropertyPointer

    protected NodePointer getPropertyPointer()

### reset

    public void reset()

### getNodePointer

    public NodePointer getNodePointer()

  Specified by:
    `getNodePointer` in interface `NodeIterator`

### getPosition

    public int getPosition()

  Specified by:
    `getPosition` in interface `NodeIterator`

### setPosition

    public boolean setPosition(int position)

  Description copied from interface: `NodeIterator`
  Sets the new current position and returns true if there a node at that position.
  Specified by:
    `setPosition` in interface `NodeIterator`

### prepareForIndividualProperty

    protected void prepareForIndividualProperty(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.